#
# spec file for package far-progs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           far-progs
Version:        1.0
Release:        1.1
Summary:        FAR progs
License:        GPL-2.0
Source:         far-progs.tar.bz2
Patch1:         make-no-Werror.diff
Patch2:         use-sys-xattr-h.diff
BuildRequires:  libuuid-devel
BuildRequires:  libbtrfs-devel
BuildRequires:  libopenssl-devel
BuildRequires:  make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FAR progs.

%prep
%setup -q -n %{name}
%patch1 -p1
%patch2 -p1

%build
make %{?_smp_mflags}

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 fssum %{buildroot}%{_bindir}
install -m 0755 fardump %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%{_bindir}/fssum
%{_bindir}/fardump
%changelog
* Fri Nov  7 2014 dsterba@suse.cz
- Initial import from git (fe02541e83da8a8540)
